import React from "react";
import PropTypes from "prop-types";

export default function LikeContour(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 15 15"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M1.09375 15H2.65625C3.25938 15 3.75 14.5094 3.75 13.9062V13.6775C4.695 14.1588 6.84125 15 10.3319 15H11.3319C12.7806 15 14.0106 13.9638 14.2563 12.5363L14.9563 8.47375C15.105 7.60687 14.8656 6.72563 14.3006 6.05438C13.7363 5.38438 12.9088 5 12.0319 5H9.19688C9.37375 4.525 9.55063 3.8325 9.55063 2.96875C9.55063 0.620625 8.22188 0 7.51938 0C6.22188 0 6.11313 1.21 6.11313 2.34375C6.11313 3.7275 4.56125 4.8775 3.74188 5.38875C3.7 4.82375 3.23188 4.375 2.65625 4.375H1.09375C0.490625 4.375 0 4.86563 0 5.46875V13.9062C0 14.5094 0.490625 15 1.09375 15V15ZM7.05063 2.34375C7.05063 0.9375 7.28875 0.9375 7.51938 0.9375C7.95938 0.9375 8.61313 1.47875 8.61313 2.96875C8.61313 4.35375 8.07063 5.2025 8.06688 5.20875C7.97125 5.3525 7.96188 5.5375 8.04375 5.69C8.125 5.8425 8.28438 5.9375 8.45688 5.9375H12.0319C12.6319 5.9375 13.1975 6.2 13.5838 6.65812C13.9706 7.11687 14.1344 7.72063 14.0325 8.31375L13.3325 12.3763C13.1644 13.3525 12.3231 14.0619 11.3319 14.0619H10.3319C6.08 14.0625 3.95 12.7325 3.75 12.6006V6.46937C4.27063 6.19312 7.05063 4.61187 7.05063 2.34375V2.34375ZM0.9375 5.46875C0.9375 5.3825 1.0075 5.3125 1.09375 5.3125H2.65625C2.7425 5.3125 2.8125 5.3825 2.8125 5.46875V13.9062C2.8125 13.9913 2.74125 14.0625 2.65625 14.0625H1.09375C1.0075 14.0625 0.9375 13.9925 0.9375 13.9062V5.46875Z"
        fill={props.fill}
      />
    </svg>
  );
}

LikeContour.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

LikeContour.defaultProps = {
  className: "",
  fill: "#6b7daa",
  width: 15,
  height: 15,
};
